import axios from '../api'

/**
 * API接口
 */
export default {

  getCityList(){
    return axios({
      method: "GET",
      url: '/api/syscity/getCityList',
      data: {}
    })
  },

  // 获取菜单列表
  getLsList(params) {
    return axios.post('/api/lscity/index',params)
  },

  // 添加菜单
  agencyAdd(params) {
    return axios({
      method: "POST",
      url: '/api/lscity/add',
      data: params
    })
  },

  // 编辑菜单
  agencyEdit(params) {
    return axios({
      method: "POST",
      url: '/api/lscity/edit',
      data: params
    })
  },

  // 获取菜单详情
  agencyInfo(params) {
    return axios({
      method: "GET",
      url: '/api/agency/info?id='+params.id,
      data: {}
    })
  },

  // 删除菜单
  agencyDel(params) {
    return axios({
      method: "POST",
      url: '/api/lscity/drop',
      params:params
    })
  },

  // 设置状态
  agencyStatus(params) {
    return axios.post('/api/agency/setStatus',params)
  }
}
